> ## Documentation Index > Fetch the complete documentation index at: https://docs.xtremepush.com/llms.txt > Use this file to discover all available pages before exploring further. # Update > Used to update a campaign that has already been created. Parameters are the same as those available in the create method. Review the [campaign model properties](https://docs.xtremepush.com/reference/campaign-model) page to see the available parameters. ## OpenAPI ````json POST /update/campaign { "openapi": "3.1.0", "info": { "title": "external-api", "version": "1" }, "servers": [ { "url": "https://api.eu.xtremepush.com/api/external" } ], "paths": { "/update/campaign": { "post": { "summary": "Update", "description": "Used to update a campaign that has already been created. Parameters are the same as those available in the create method.\n\nReview the [campaign model properties](https://docs.xtremepush.com/reference/campaign-model) page to see the available parameters.", "operationId": "campaign-update", "deprecated": "false", "requestBody": { "required": "true", "content": { "application/json": { "schema": { "type": "object", "required": [ "apptoken", "id" ], "properties": { "apptoken": { "type": "string", "description": "Your App token" }, "id": { "type": "integer", "format": "int32", "description": "The ID of the campaign you want to update" } } } } } }, "responses": { "200": { "description": "200", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean", "example": "true", "default": "true" }, "code": { "type": "integer", "example": "200", "default": "0" }, "message": { "type": "string", "example": "Campaign is successfully updated" }, "model": { "type": "object" } } }, "examples": { "Result": { "value": { "success": "true", "code": "200", "message": "Campaign is successfully updated", "model": { "id": "58943956", "project_id": "PROJECT_ID", "type": "1", "trigger": "3", "send_type": "2", "active": "1", "sending": "0", "draft": "0", "status": "0", "is_open": "0", "title": "Updated API example", "ab": "0", "languages_multi": "0", "content_fetch": "0", "encryption": "1", "ios_push": "0", "android_push": "1", "web_push": "0", "inbox": "0", "email": "1", "sms": "1", "facebook": "0", "whatsapp": "0", "webhook": "0", "broadcast": "0", "conversions": "0", "start_date": "2021-10-14", "start_date_time": "00:00", "start_time": "00:00", "end_time": "23:59", "send_days": [ "1", "2", "3", "4", "5", "6", "7" ], "retry_for": "4", "retry_for_period": "weeks", "activate_time": "1634201103", "last_modified": "1634202413", "messages": { "2": { "push_title": "Android push title", "push_text": "Android push text" }, "6": { "push_title": "
Inbox title
", "push_text": "Inbox text
", "push_icon": "https://example.com/image.png", "inbox_type": "1" }, "7": { "email_type": "1", "email_template": "{\"page\":{\"body\":{\"container\":{\"style\":{\"background-color\":\"#f2f2f2\"}},\"content\":{\"computedStyle\":{\"linkColor\":\"#0645AD\",\"messageBackgroundColor\":\"#ffffff\",\"messageWidth\":\"600px\"},\"style\":{\"color\":\"#000000\",\"font-family\":\"Arial, Helvetica Neue, Helvetica, sans-serif\"}},\"type\":\"mailup-bee-page-proprerties\",\"webFonts\":[]},\"description\":\"Base Template\",\"rows\":[{\"columns\":[{\"grid-columns\":12,\"modules\":[{\"descriptor\":{\"computedStyle\":{\"hideContentOnMobile\":false},\"style\":{\"padding-bottom\":\"10px\",\"padding-left\":\"10px\",\"padding-right\":\"10px\",\"padding-top\":\"10px\"},\"text\":{\"computedStyle\":{\"linkColor\":\"#0645AD\"},\"html\":\"Tests
Tests |